.highlight {
    background-color: yellow;
    font-weight: bold;
}

.next-button-container {
    display: flex;
    margin: 2px;
    align-self: center;
    flex-direction: column;
}

.top-buttons {
    display: flex;
    flex-direction: row;
    align-self: center;
    margin: 0.5rem;
}

.bottom-buttons {
    display: flex;
    flex-direction: row;
    align-self: center;
    margin: 0.5rem;
}

.substances-container {
    display: flex;
    flex-direction: column;
    align-self: center;
    padding: 2em 0;
    height: 100%;
    width: 95%;
}

.sub-header {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
}

.sub-content-container {
    display: flex;
    flex: 9;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.sub-sort-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    padding: 1.5em 2em;
    background-color: #373f51;
    color: #ffffff;
    transition: background-color 0.25s;
    height: 90%;
    width: 100%;
    border-radius: 15px;
    margin-right: 1em;
}

.sub-card-container {
    flex: 9;
    background-color: #a9bcd0;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    padding: 1.5em;
    overflow: auto;
    border-radius: 15px;
    height: 90%;
}

@media screen and (max-width: 768px) {
    .substances-container {
        width: 100%;
    }

    .sub-content-container {
        flex-direction: column;
    }

    .sub-sort-container {
        margin-right: 0;
        margin-bottom: 1em;
        width: 95%;
    }

    .sub-card-container {
        padding: 0;
        overflow: visible;
        height: auto;
    }
}

.search-bar {
    margin-top: 10px;
    padding: 8px 12px;
    border-radius: 5px;
    border: 1px solid #ccc;
    background: #373f51;
    color: #cadaeb;
    font-size: 18px;
    width: 40%;
}

.search-bar:focus {
    outline: none;
    border-color: #cadaeb;
}

.search-bar::placeholder {
    color: #cadaeb;
}

@media (max-width: 992px) {
    .search-bar {
        width: 60%;
    }
}